import { r as registerInstance, h } from './core-8e73947d.js';
var SmoothlySelectTest = /** @class */ (function () {
    function SmoothlySelectTest(hostRef) {
        registerInstance(this, hostRef);
        this.currencies = ["SEK", "EUR"];
        this.languages = ["sv", "en"];
    }
    SmoothlySelectTest.prototype.handleSelectionChanged = function (event) {
        console.log("selectionChanged", event.detail);
    };
    SmoothlySelectTest.prototype.render = function () {
        return [
            h("smoothly-select", { identifier: "currency", options: this.currencies }),
            h("smoothly-select", { identifier: "language", options: this.languages })
        ];
    };
    Object.defineProperty(SmoothlySelectTest, "style", {
        get: function () { return ".sc-smoothly-select-test-h{display:block}[hidden].sc-smoothly-select-test-h{display:none}"; },
        enumerable: true,
        configurable: true
    });
    return SmoothlySelectTest;
}());
export { SmoothlySelectTest as smoothly_select_test };
